# Copyright 2007 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


import svn.wc

import gvn.cmdline
import gvn.wc


helptext__gvn_nothave = """nothave: List unversioned files.
usage: nothave
"""

def Handle_GvnNotHave(ctx):
  ctx.wc.Open([ctx.path])
  def cb(target, status):
    if status.text_status == svn.wc.status_unversioned:
      print ctx.DisplayPath(ctx.wc.RelativePath(target))
  ctx.wc.Status([ctx.path], recursive=True, get_all=False, no_ignore=False,
                callback=cb)
  return 0

gvn.cmdline.AddCommand('nothave', Handle_GvnNotHave, helptext__gvn_nothave)
