#! /usr/bin/python2.4

# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""block_bad_revprop_names.py unittest"""


import unittest

import gvn.hooks.info

import testing.hooks.common

# import RunHook to pass the function pointer to testcommon in unittests
from gvn.hooks.pre_revprop_change.block_bad_revprop_names import RunHook

class TestSvnRevPropsChange(testing.hooks.common.HookTestCase):

  def testPropSet(self):
    """A random user can set a random property
    """
    self.assertHookResult(self._ChangeRevProps(RunHook, "basil", "randomprop",
                          "A"), 0)

  def testSvnPropSet(self):
    """A random user cannot set a badly named property
    """
    self.assertHookResult(self._ChangeRevProps(RunHook, "basil", " ", "A"),
        "Rejecting new property with forbidden name: ' ' for user basil")


if __name__ == "__main__":
  unittest.main()
